## mx4j.monitor
Interface MX4JStringMonitorMBean

All Superinterfaces:
  MX4JMonitorMBean

All Known Implementing Classes:
  MX4JStringMonitor

public interface MX4JStringMonitorMBean
extends MX4JMonitorMBean

Version:
  $Revision: 1.3 $

Method Summary
`java.lang.String` `getDerivedGauge(javax.management.ObjectName objectName)`
`long` `getDerivedGaugeTimeStamp(javax.management.ObjectName objectName)`
`boolean` `getNotifyDiffer()`
`boolean` `getNotifyMatch()`
`java.lang.String` `getStringToCompare()`
`void` `setNotifyDiffer(boolean value)`
`void` `setNotifyMatch(boolean value)`
`void` `setStringToCompare(java.lang.String value)`

Methods inherited from interface mx4j.monitor.MX4JMonitorMBean
`addObservedObject, containsObservedObject, getGranularityPeriod, getObservedAttribute, getObservedObjects, isActive, removeObservedObject, setGranularityPeriod, setObservedAttribute, start, stop`

Method Detail

### getDerivedGauge

    public java.lang.String getDerivedGauge(javax.management.ObjectName objectName)

### getDerivedGaugeTimeStamp

    public long getDerivedGaugeTimeStamp(javax.management.ObjectName objectName)

### getStringToCompare

    public java.lang.String getStringToCompare()

### setStringToCompare

    public void setStringToCompare(java.lang.String value)
                            throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getNotifyMatch

    public boolean getNotifyMatch()

### setNotifyMatch

    public void setNotifyMatch(boolean value)

### getNotifyDiffer

    public boolean getNotifyDiffer()

### setNotifyDiffer

    public void setNotifyDiffer(boolean value)

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.